/*  ExpPyMem.h  -- define standard interface for malloc functions */
/* Copyright (C) 1999 Michael P. Reilly, All rights reserved
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */
/*
 * $Log: ExpPyMem.h,v $
 * Revision 1.1  1999/04/20 18:06:47  arcege
 * New common malloc interface
 *
 */
#ifndef __EXPPYMEM_H__
#define __EXPPYMEM_H__

#if EXP_USE_PYMALLOC
#if PYTHON_API_VERSION >= 1007

/* use newer Python 1.5 malloc functions */
#define ExpPy_malloc(struct) (struct *)PyMem_Malloc(sizeof(struct))
#define ExpPy_calloc(struct, size) (struct *)PyMem_Malloc(sizeof(struct)*size)
#define ExpPy_free(memory) PyMem_Free(memory)

#else

/* use older Python 1.4 malloc functions */
#define ExpPy_malloc(struct) (struct *)PyMem_NEW(struct, 1)
#define ExpPy_calloc(struct, size) (struct *)PyMem_NEW(struct, size)
#define ExpPy_free(memory) PyMem_DEL(memory)

#endif
#else /* EXP_USE_PYMALLOC */

/* use system malloc functions */
#define ExpPy_malloc(struct) (struct *)malloc(sizeof(struct))
#define ExpPy_calloc(struct, size) (struct *)malloc(sizeof(struct)*size)
#define ExpPy_free(memory) free(memory)

#endif

#endif /*__EXPPYMEM_H__*/
