/*  ExpPyTcl.h  -- prototypes for ExpPyTcl module */
/* Copyright (C) 1999 Michael P. Reilly, All rights reserved
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */
/*
 * $Log: ExpPyTcl.h,v $
 * Revision 1.3  1999/07/04 21:32:26  arcege
 * Fix conditional; add code for Tcl 8.1 later
 *
 * Revision 1.2  1999/04/20 18:02:00  arcege
 * Add missing extension in header
 *
 * Revision 1.1  1999/04/10 16:47:19  arcege
 * Move definitions and prototypes to header files
 *
 */
#ifndef   EXPPYTCL_H
#define  EXPPYTCL_H

#if TCL_MAJOR_VERSION == 8 && TCL_MINOR_VERSION == 1
#define TCL_8_1 1
#endif

#ifdef TCL_8_1
#define TCL_REGEXP Tcl_RegExp
#else
#define TCL_REGEXP regexp
#endif

PyObject *ExpPyTclRE_new(PyObject *, PyObject *);
TCL_REGEXP *ExpPyTclRE_regexp(PyObject *);
char *ExpPyTclRE_pattern(PyObject *);
int ExpPyTclRE_Check(PyObject *);

#endif /*EXPPYTCL_H*/
