/* TclDummy.c - Stubs for Tcl routines used in Expect */
/* Copyright (C) 1998 Michael P. Reilly, All rights reserved
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */
/*
 * $Log: TclDummy.c,v $
 * Revision 1.4  2000/03/06 12:36:05  arcege
 * New versions of Tcl have messed up some of the headers, so do not include now
 *
 * Revision 1.3  1999/04/20 18:03:36  arcege
 * Add CVS log string
 *
 */

#include <Python.h>
#if 0
#include <tclRegexp.h>
#else
/* copied from tcl.h in Tcl8.2.1 */

#if ((defined(__STDC__) || defined(SABER)) && !defined(NO_PROTOTYPE)) || defined(__cplusplus) || defined(USE_PROTOTYPE)
#define _USING_PROTOTYPES_ 1
#define _ANSI_ARGS_(params) params
#define CONST const
#else
#define _ANSI_ARGS_(params)
#define CONST
#endif

/* copied from tclRegexp.h in Tcl8.0.5 */
#define NSUBEXP  20

typedef struct regexp {
        char *startp[NSUBEXP];
        char *endp[NSUBEXP];
        char regstart;          /* Internal use only. */
        char reganch;           /* Internal use only. */
        char *regmust;          /* Internal use only. */
        int regmlen;            /* Internal use only. */
        char program[1];        /* Unwarranted chumminess with compiler. */
} regexp;
#endif

char *Tcl_ErrnoMsg (int err)
  { return ""; }

void TclRegFree _ANSI_ARGS_((regexp *prog))
  { return; }
regexp *TclRegCreate _ANSI_ARGS_((char *exp))
  { PyErr_SetString(PyExc_SystemError, "compiled not implimented");
    return (regexp *)NULL;
  }
regexp *TclRegComp _ANSI_ARGS_((char *exp))
  { PyErr_SetString(PyExc_SystemError, "compiled not implimented");
    return (regexp *)NULL;
  }
int TclRegExec _ANSI_ARGS_((regexp *prog, char *string, char *start))
  { return 0; }
void TclRegSub _ANSI_ARGS_((regexp *prog, char *source, char *dest))
  { return; }
void TclRegError _ANSI_ARGS_((char *msg))
  { return; }
char *TclGetRegError _ANSI_ARGS_((void))
  { return NULL; }
void initExpPyRE _ANSI_ARGS_((void))
  { return; }

