/*  exppyre.h  -- the structure of the regular expressions used */
/* Copyright (C) 1999 Michael P. Reilly, All rights reserved
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */
/*
 * $Log: exppyre.h,v $
 * Revision 1.2  1999/04/20 18:12:54  arcege
 * Store thread state with regular expression structure
 *
 * Revision 1.1  1999/04/10 16:47:18  arcege
 * Move definitions and prototypes to header files
 *
 */

/* number of sub expressions (groups) can be preserved */
#define NSUBEXP 20

struct ExPyRE {
  PyObject *re;
  PyThreadState *tstate;
};

/* regular expression structure used by ExpPyRE C module functions */
struct regexp {
  char *startp[NSUBEXP];
  char *endp[NSUBEXP];
  struct ExPyRE *real_re;
};

