#!/usr/local/bin/python

import getopt, os, sys

class Package:
  def __init__(self, name):
    self.name = name

  def add_extern(self, stream):
    stream.write("extern void init%s();\n" % self.name)
  def add_inittab(self, stream):
    stream.write('\t{"%s", init%s},\n' % (self.name, self.name))

def augment_config_file(infile, outfile, packages):
  line = infile.readline()
  while line:
    if line == '/* -- ADDMODULE MARKER 1 -- */\n':
      for package in packages:
        package.add_extern(outfile)
    elif line == '/* -- ADDMODULE MARKER 2 -- */\n':
      for package in packages:
        package.add_inittab(outfile)
    outfile.write(line)
    line = infile.readline()

if __name__ == '__main__':
  infilename = outfilename = None

  try:
    opts, args = getopt.getopt(sys.argv[1:], 'i:o:')
    for opt, val in opts:
      if opt == '-i':
        infilename = val
      elif opt == '-o':
        outfilename = val
  except getopt.error, value:
    raise SystemExit, "%s: %s" % (sys.argv[0], value)

  if infilename:
    infile = open(infilename)
  else:
    infile = sys.stdin
  if outfilename:
    outfile = open(outfilename, 'w')
  else:
    outfile = sys.stdout

  packages = map(Package, args)

  augment_config_file(infile, outfile, packages)

