#!/usr/local/bin/python
# $Id: 04set.py,v 1.4 1999/04/23 14:21:46 arcege Exp $
# a little test for Expect settings

from sys import stdout
from ExpectPy import re_type, set, settings

def main():
  # make sure that the list of variables are the same for both
  # interfaces
  _settings = dir(settings)
  _set = set()
  try:    _settings.remove('__doc__')
  except: pass
  try:    _set.remove('__doc__')
  except: pass
  if hasattr(settings, '__methods__'):
    for name in getattr(settings, '__methods__'):
      try:  _settings.remove(name)
      except: pass
  _settings.sort()
  _set.sort()
  if _settings != _set:
    raise SystemError, "not the same construct"

  initial_value = settings.internal
  # test the correctness of the standard interface
  settings.internal = not settings.internal
  if settings.internal == initial_value:
    raise SystemError, "not the same construct"
  # check reset method
  settings.reset()
  if settings.internal != initial_value:
    raise SystemError, "reset not working"

  a = initial_value
  # test correctness of backward-compatible interface
  set('internal', not a)
  b = set('internal')
  if a == b:
    raise SystemError, "not the same construct"
  c = set('internal', a)
  if b != c:
    raise SystemError, "not the same construct"
  d = set('internal')
  if d != a:
    raise SystemError, "not the same construct"

  # check integer type
  settings.timeout = 100
  if settings.timeout != 100:
    raise SystemError, "integer not stored correctly"

  # check string type
  settings.stty_init = 'sane'
  if settings.stty_init != 'sane':
    raise SystemError, "string not stored correctly"
  settings.stty_init = None
  if settings.stty_init is not None:
    raise SystemError, "string not cleared correctly"

  # make sure that the read-only variables are not writable
  try:
    settings.disconnected = 1
  except SystemError, value:
    if str(value) != 'read-only variable':
      raise SystemError, "readonly value is writable: %s" % `value`
  else:
    raise SystemError, "readonly value is writable"

  # check toDict method
  d = settings.toDict()
  for name in _settings:
    if not d.has_key(name):
      raise SystemError, "Dict does not represent construct"

if __name__ == '__main__':
  main()
  status = 1

